OsmAnd: Fix broken link to download zlib during build.
Also submitted upstream: https://github.com/osmandapp/OsmAnd-core/pull/24 https://github.com/osmandapp/OsmAnd-tools/pull/57
This commit is contained in:
parent
dad7b3cb42
commit
60009b5ba1
15
build/extlib/osmand-zlib-url_145.patch
Normal file
15
build/extlib/osmand-zlib-url_145.patch
Normal file
|
@ -0,0 +1,15 @@
|
|||
Only latest release appears to be hosted on http://zlib.net/
|
||||
|
||||
diff --git a/externals/zlib/configure.sh b/externals/zlib/configure.sh
|
||||
index e6d4103..c35f74c 100755
|
||||
--- a/externals/zlib/configure.sh
|
||||
+++ b/externals/zlib/configure.sh
|
||||
@@ -16,7 +16,7 @@ fi
|
||||
|
||||
# Download
|
||||
echo "Zlib Downloading new upstream..."
|
||||
-curl -L http://zlib.net/zlib-1.2.7.tar.bz2 > $SRCLOC/upstream.tar.bz2 || { echo "Failed to download!" 1>&2; exit; }
|
||||
+curl -L http://sourceforge.net/projects/libpng/files/zlib/1.2.7/zlib-1.2.7.tar.bz2/download > $SRCLOC/upstream.tar.bz2 || { echo "Failed to download!" 1>&2; exit; }
|
||||
|
||||
# Extract
|
||||
echo "Zlib Extracting upstream..."
|
|
@ -97,14 +97,15 @@ forcevercode=yes,\
|
|||
rm=SherlockBar/build.xml,\
|
||||
encoding=utf-8,\
|
||||
srclibs=tools@bfee93a8d;core@r1.1.4;resources@836be71481,\
|
||||
extlibs=perms-osmand_145.diff,\
|
||||
extlibs=perms-osmand_145.diff;osmand-zlib-url_145.patch,\
|
||||
patch=remove_analytics_android_145.diff,\
|
||||
prebuild=rm ../../core/OsmAnd-java/src/net/osmand/plus/download/DownloadTracker.java && \
|
||||
sed -i 's/debuggable="true"/debuggable="false"/g' AndroidManifest.xml && \
|
||||
$$SDK$$/tools/android update project -p ../SherlockBar && \
|
||||
sed -i 's/app_version">[^<]*/app_version">1.5-ARM/' \
|
||||
res/values/no_translate.xml && sed -i '/keys/d' ant.properties && \
|
||||
cd ../../core/ && git apply ../android/OsmAnd/libs/perms-osmand_145.diff,\
|
||||
cd ../../core/ && git apply ../android/OsmAnd/libs/perms-osmand_145.diff && \
|
||||
git apply ../android/OsmAnd/libs/osmand-zlib-url_145.patch,\
|
||||
build=ANDROID_SDK=$$SDK$$ ANDROID_NDK=$$NDK$$ OSMAND_ARM_ONLY=true ./ndk-build.sh && \
|
||||
ant jar native-libs -f $$tools$$/OsmAndMapCreator/build.xml && \
|
||||
ant build -f ../OsmAnd-java/build.xml,\
|
||||
|
|
Loading…
Reference in a new issue